Subject: Bug#1012: [X2Go-Dev] Bug#1012: Session reconnect doesn't work (x2gobroker)

From: Stefan Baur <[email-masked]>
Date: Mon, 28 Nov 2016 20:48:10 +0100

I just tried to set up two fresh test servers and a broker to try.

Sadly, your suggestion doesn't fix the issue for me. The problem remains:
Suspended sessions remain suspended forever, and an new session is
created for each new login.

-Stefan

Am 27.11.2016 um 20:04 schrieb Miguel Quero:
> Ok, i fixit:
> 
> I need use:
> 
> --broker-url=ssh://XXXX.XXXX.XXXX/usr/bin/x2gobroker-ssh --broker-autologin
> 
> and add users to x2gobroker-users group ;)
> 
> Resume work too in ssh mode ;)
> 
> On 11/26/2016 11:54 AM, Miguel Quero wrote:
>> I can confirm this bug, but the problem is not with all x2gobroker, the
>> resume problem become when you use ssh broker.
>>
>> In my setup, when client connect with
>> --broker-url=https://XXXX.XXXX.XXXX:8080/plain/inifile, all work fine
>> and resume is working. But when same clients connect with same
>> credentials to the same broker with x2goclient
>> --broker-url=ssh://XXXX.XXXX.XXXX/usr/bin/x2gobroker --broker-autologin,
>> all work fine but resume is not working, all connection open a new
>> session :S.
>>
>> I cant debug with ssh broker :(. Any ideas?
>>
> 

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243